#ifndef DrawIconLabel_H
#define DrawIconLabel_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QPainterPath>

class DrawIconLabel : public QLabel
{
    Q_OBJECT
public:
    DrawIconLabel(int radius = 10, QWidget *parent = nullptr);
    DrawIconLabel(const QPixmap &pixmap, int radius = 10, QWidget *parent = nullptr);

    QPainterPath makeRoundedRect(const QRect& rect,int radius,int corner) ;
    void setIcon(const QPixmap &pixmap);
    void setRadius(int radius);

protected:
    void paintEvent(QPaintEvent *event);

private:
    QPixmap mPixmap;
    int mRadius;
};

#endif // DrawIconLabel_H
